> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List of partner consultants



## OpenAPI

````yaml /openapi/findity-admin-api.json get /partners/{partnerId}/consultants
openapi: 3.1.0
info:
  title: Findity Admin API
  description: Findity Admin API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/admin
  - url: https://api.findity.com/api/v1/admin
security:
  - bearerAuth: []
paths:
  /partners/{partnerId}/consultants:
    get:
      tags:
        - Partners
      summary: List of partner consultants
      parameters:
        - $ref: '#/components/parameters/partnerExternalId'
        - $ref: '#/components/parameters/max'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/consultantsSort'
        - $ref: '#/components/parameters/sortOrder'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayOfConsultants'
components:
  parameters:
    partnerExternalId:
      in: path
      name: partnerId
      required: true
      description: The external source id of the partner
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 6aeb86c4fb154c46b2b5a1977245ac67
    max:
      name: max
      in: query
      description: max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset:
      name: offset
      in: query
      description: the offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
    consultantsSort:
      name: sort
      in: query
      description: Parameter that defines property used for sorting
      required: false
      schema:
        $ref: '#/components/schemas/sortConsultantsEnum'
    sortOrder:
      name: sortOrder
      in: query
      description: Parameter that defines in which order data will be sorted
      required: false
      schema:
        $ref: '#/components/schemas/sortOrderEnum'
  schemas:
    ArrayOfConsultants:
      type: object
      properties:
        meta:
          properties:
            count:
              type: integer
            total:
              type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/Consultant'
      example:
        meta:
          count: 1
          total: 1
        data: []
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    sortConsultantsEnum:
      type: array
      items:
        type: string
        enum:
          - name
          - email
          - organization
          - externalSourceId
    sortOrderEnum:
      type: array
      items:
        type: string
        enum:
          - asc
          - desc
    Consultant:
      type: object
      properties:
        id:
          type: string
          description: ID of consultant
        firstName:
          type: string
          description: First name of consultant
        lastName:
          type: string
          description: Last name of consultant
        email:
          type: string
          description: Email of consultant
        organizations:
          type: array
          items:
            type: string
          description: Consultant organizations
      example:
        id: 321312jkh
        firstName: FirstName
        lastName: LastName
        email: firstname.lastname@example.com
        organization:
          - TestOrg1
          - TestOrg2
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````